/*******************************************************************************
 **
 ** $Id: plotwindow.h 157 2008-11-29 22:11:56Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of plotcf.
 **
 ** plotcf is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** plotcf is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with plotcf.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#ifndef PLOTWINDOW_H_
#define PLOTWINDOW_H_

#include <QWidget>
#include <QPainter>
#include <QPixmap>

//=============================================================================
//
// the plot window
//
//=============================================================================

class PlotWindow : public QWidget
{
   Q_OBJECT

   public:
      PlotWindow(int, int, QWidget *parent = 0);
      void setWindowSize(int, int);
      QImage *plot;
      int plotHeight;
      int plotWidth;

   private:

   protected:
      void paintEvent(QPaintEvent *event);

};

#endif /*PLOTWINDOW_H_*/
