/*******************************************************************************
 **
 **  $Id: metadata.cpp 154 2008-11-29 05:36:59Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of ReadFile.
 **
 ** ReadFile is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** ReadFile is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with ReadFile.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "metadata.h"

//-----------------------------------------------------------------------------
//
// GlobalMetaData class
//
//-----------------------------------------------------------------------------

void GlobalMetaData::initialize()
{
   MISSION.clear();
   OBSERVATORY.clear();
   EXPERIMENT.clear();
   INSTRUMENT_NAME.clear();
   DATASET_ID.clear();
   DATASET_TITLE.clear();
   LOGICAL_SOURCE.clear();
   DATA_TYPE.clear();
}

//-----------------------------------------------------------------------------
//
// VariableMetaData class
//
//-----------------------------------------------------------------------------

void VariableMetaData::initialize()
{
   CATDESC.clear();
   DELTA_PLUS.clear();
   DELTA_MINUS.clear();
   DEPEND_0.clear();
   DEPEND_1.clear();
   DEPEND_2.clear();
   DEPEND_3.clear();
   DISPLAY_TYPE.clear();
   DISPLAYTYPE.clear();
   ENTITY.clear();
   FIELDNAM.clear();
   FILLVAL.clear();
   LABEL_1.clear();
   LABEL_2.clear();
   LABEL_3.clear();
   NAME.clear();
   PARAMETER_TYPE.clear();
   PROPERTY.clear();
   REPRESENTATION_1.clear();
   REPRESENTATION_2.clear();
   REPRESENTATION_3.clear();
   SCALEMIN.clear();
   SCALEMAX.clear();
   SCALETYP.clear();
   SI_CONVERSION.clear();
   SIZES.clear();
   TENSOR_FRAME.clear();
   TENSOR_RANK.clear();
   UNITS.clear();
   VALUE_TYPE.clear();
   VAR_TYPE.clear();
}
