/*******************************************************************************
 **
 **  $Id: readfile_defs.h 154 2008-11-29 05:36:59Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of ReadFile.
 **
 ** ReadFile is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** ReadFile is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with ReadFile.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#ifndef READFILE_DEFS_H_
#define READFILE_DEFS_H_

enum FileType
{
   CEF, CDF, ASCII
};

enum DataType
{
   UINT1, UINT2, UINT,
   INT2, INT, INT8,
   FLOAT, DOUBLE,
   CHAR,
   ISO_TIME,
   UNKNOWN
};

#define _READ_SUCCESS 100
#define _READ_FAILED -100
#define _READ_CHAR_LENGTH 512

#endif // READFILE_H_
