# the following is used by MSSL only in order for PEACEmoments CAA to compile
# on different platforms automatically. It can be deleted and replaced with
# suitable specifications of INCLUDEPATH and LIBS. INCLUDEPATH must contain
# the CDF include directory, and LIBS must contain the CDF library.

linux-g++ {
exists(/soft/soft3/plasma-Linux/2.6.18/cdf/lib/libcdf.a) {
   message("Building for computing group managed linux system")
   INCLUDEPATH += . /soft/soft3/plasma-Linux/2.6.18/cdf/include
   LIBS += -L/soft/soft3/plasma-Linux/2.6.18/cdf/lib/static -lcdf
}
exists (/usr/local/plasma/idfs_linux-20070502/include/*) {
   message("Building for old PEACE ops linux system")
   INCLUDEPATH += . /usr/local/plasma/cdf/include /usr/local/plasma/include-extra
   LIBS += /usr/local/plasma/cdf/lib/libcdf.a
}
exists (/soft/soft3/plasma-Linux/idfs/include/*) {
   message("Building for PEACE ops linux system")
   INCLUDEPATH += . /soft/soft3/plasma-Linux/cdf/include
   LIBS += -L/soft/soft3/plasma-Linux/cdf/lib -lcdf
}
}
exists (/opt/plasma/idfs-080910/include/*) {
   message("Building on 64-bit linux virtual machine")
   INCLUDEPATH += . /opt/plasma/cdf32/include
   LIBS += -L/opt/plasma/cdf32/lib/static -lcdf
}
macx-g++ {
message("building for macx-g++")
INCLUDEPATH += . /usr/local/cdf-3.1/include
LIBS += /usr/local/cdf-3.1/lib/libcdf.a
#CONFIG += x86 ppc
}
solaris-g++ {
message("building for solaris-g++")
INCLUDEPATH += . /opt/soft/cdf32/include /opt/soft/include-extras
LIBS += /opt/soft/cdf32/lib/libcdf.a
}
#---- end MSSL only

